Eclipse Platform Release 3.7

## org.eclipse.jface.contentassist
Interface ISubjectControlContentAssistant

All Superinterfaces:
  IContentAssistant

All Known Implementing Classes:
  SubjectControlContentAssistant

Deprecated. As of 3.2, replaced by Platform UI's field assist support

    public interface ISubjectControlContentAssistant

extends IContentAssistant

Extends `IContentAssistant` to allow to install a content assistant on the given content assist subject control.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant
`CONTEXT_INFO_ABOVE, CONTEXT_INFO_BELOW, PROPOSAL_OVERLAY, PROPOSAL_REMOVE, PROPOSAL_STACKED`

Method Summary
`void` `install(IContentAssistSubjectControl contentAssistSubjectControl)` Deprecated. Installs content assist support on the given subject.

Methods inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant
`getContentAssistProcessor, install, showContextInformation, showPossibleCompletions, uninstall`

Method Detail

### install

    void install(IContentAssistSubjectControl contentAssistSubjectControl)

  Deprecated.
  Installs content assist support on the given subject.

  Parameters:
    `contentAssistSubjectControl` - the one who requests content assist

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.